﻿using System.ServiceModel;

namespace Contract
{
    [ServiceContract]
    public interface IWorker
    {
        [OperationContract]
        void RunTask(int timeInSeconds);

        [OperationContract]
        void Print();
    }

    [ServiceContract]
    public interface ISupervisor
    {
        [OperationContract]
        void Report(int progress);
    }
}
